Subject: Re: [PATCH 0/6] General device tree irq domain infrastructure

From: Sebastian Andrzej Siewior <[email-masked]>
Date: Fri, 29 Apr 2011 18:16:33 +0200

Grant Likely wrote:
> I'd really like to get patches 1-4 merged into 2.6.40.  Please test.
> I'm also running through build testing here, and when it's complete
> I'll push it out to a 'devicetree/irq-domain' branch on
> git://git.secretlab.ca/git/linux-2.6

I pulled this, built and booted my x86-dt box and nothing exploded so far.

If you merge Linus' tree then you will get a conflict (sooner or later) in
ioapic_of_irq_map() in arch/x86/kernel/devicetree.c:

-       return io_apic_setup_irq_pin_once(*out_hwirq, cpu_to_node(0), &attr);
  -      if (io_apic_setup_irq_pin(hwirq, cpu_to_node(0), &attr))
++      if (io_apic_setup_irq_pin_once(hwirq, cpu_to_node(0), &attr))

Sebastian